Commit 6483dcde authored by plach's avatar plach

Issue #3052413 by EmiliaC, catch: Forum vocabulary is overridden to required...

Issue #3052413 by EmiliaC, catch: Forum vocabulary is overridden to required regardless of field settings
parent e14126d6
......@@ -335,8 +335,6 @@ function forum_form_node_form_alter(&$form, FormStateInterface $form_state, $for
if (isset($form['taxonomy_forums'])) {
$widget =& $form['taxonomy_forums']['widget'];
// Make the vocabulary required for 'real' forum-nodes.
$widget['#required'] = TRUE;
$widget['#multiple'] = FALSE;
if (empty($widget['#default_value'])) {
// If there is no default forum already selected, try to get the forum
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment